Apple sunt mizerabili cu Content Blocker-ele

Am 3 iPaduri (1, 2 și 3), pe unul sunt joculețe mici și chestii educative pentru junior și celelalte două sunt ale adulților, pe post de cititor de cărți și de site-uri.

Apple a lansat cu iOS 9 și opțiunea de content blocker, care permite instalarea unui addon in Safari care blochează reclamele. Foarte bun și foarte tare. Dar stați un pic! Nu merge pe orice device. Doar pe cele cu 64 de biți. Și știți cum a decis Apple asta? S-au uitat pe cer și au zis că e marți și plouă, deci doar unele iPad-uri au voie.

E absolut stupid și fără logică. Dar așa e Apple.

 

 

ipad

Mulțumesc că ai citit acest articol.
Dacă vrei să susții acest blog, cumpără un abonament de 3$

30 comentarii

  1. O logică ar avea. Dacă se dovedește că este o funcționalitate dorită de mulți, va fi un motiv pentru un eventual upgrade. Și așa se plâng unii că utilizatorii sunt prea satisfăcuți de tabletele vechi și nu le schimbă atât de des cum ar dori acționarii producătorilor. Iată că li se oferă motive. Într-un mod mizerabil, aici ai dreptate.

    00
    • Hai sa urcam in masina timpului si sa radem putin de Calcanis:
      “Apple’s highest moral commitment is to users – not publishers.”

      Practic, nici macar, ca omul nu e idiot, doar ipocrit. Publishers and users have nothing to do with it, quarterly reports don.

      00
  2. … si in urma cu tehnologia si ipocriti (content blockerele nu functioneaza si in aplicatii, dar pt. decizia asta s-au uitat mai intai in portofel inainte sa se uite pe cer)

    00
    • În aplicaţiile care sunt free şi fac bani din reclame, ai opţiunea de a cumpăra aplicaţia pe bani, şi toată lumea e fericită. Mi se pare normal.

      Blockerele sunt pentru site-urile nesimţite unde chiar nu ai nici o opţiune decât să dezactivezi reclamele.

      Plus, mai e o chestie mişto, cine de aici poate garanta că blockerul nu va bloca toate celelalte reclame/tracking pixels în afară de cele Apple? :)

      00
  3. de aici ->

    Note: Apps containing content blocking extensions for Safari on iOS are available only on 64-bit devices, due to performance limitations of 32-bit devices.

    00
  4. Nu e fara logica. Te forteaza sa faci upgrade. Altfel stam cu aceleasi devide-uri 5 ani si ei nu mai fac bani. Si eu mi-as tine telefonul 5 ani pentru ca iphone 5 isi face treaba si nu vad de ce as trece la 6s, pentru ca nu vad functionalitati critice de care am nevoie (nu, cacatul ala cu meniu care apare 3d cand apesi nu e un motiv de upgrade). Dar ei ma vor forta prin update la aprlicatii care nu vor IOS sub o anumita versiune si update la IOS care la un moment dat nu va mai functiona pe Iphone 5, folosind scuza ca trebuiesc resurse mai bune.

    La fel cu Ipad, Ipad 2 e arhisuficient pentru ce vreau sa fac, citit carti si striri si poate cateodata un video call. Ipad 1 nu are camera frontala sa zicem, asta ar fi inconvenientul, desi n-am facut niciodata video call de pe ipad :D. De aceea nu vad motivul de upgrade la “ipad pro”, o camera mai buna nu ma ajuta si nu vreau sa fac poze cu IPAD-ul :D

    A, si era sa uit, stai linistit vor fi si mai mizerabili. De Black Friday vor oferi reduceri la vechiturile de device-uri care le-au ramas pe stock (ipad 2, ipad mini 1), astfel ca dupa maxim 1 an de zile chiar sa nu mai ai ce sa faci cu ele pentru ca update-ul de IOS nu va mai merge pe ele.

    Deci pe scurt, au o logica, daca nu te forteaza cu ceva la fiecare 2 ani, s-ar putea sa amani achizitionarea unui nou device.

    00
  5. Da …. Aplicatiile de content blocking cum merg?

    00
  6. Având în vedere că după două versiuni de iOS tableta începe fie din ce în ce mai lentă, posibil să fi avut de ales între limitarea asta și clienții nemulțumiți că le merge jucăria (și) mai greu.

    00
  7. Exista un workaround daca ai un mac:

    Descarci XCode
    Descarci codul sursa de la un content blocker (exista open source pe github)
    Faci un Apple Developer Account (free)
    Compilezi si deploiezi aplicatia (content blockerul) pe ipad prin cablu legat la calc. Pasul asta nu era posibil pana la IOS9, aveai nevoie sa platesti 99$ pe an. No more.

    00
  8. Nu sunt mizerabili, ei dezvolta ios-ul incremental. Orice proiect software are MUST have legacy code support si NOT SO MUST have legacy code support. Din pacate noul api de safari pentru extensii a intrat in categoria not so must. Cand lucrezi cu deadline-uri gen pe 31 august facem freeze, nu te mai fute grija sa scrii de doua ori acelasi feature pentru doua arhitecturi diferite si mai ales pe mobile unde totul este mega optimizat. Sunt sigur ca au facut o analiza si le-a dat cu zero virgula ceva :))

    00
    • E vorba de un content-blocker, nu de cine stie ce soft ce face operatii matematice pe numere extrem de mari sau alte cacaturi ce ar necesita solutii complexe de implementare pe 32 de biti… Restul optimizarii o face compilatorul si asamblorul.. Nu e ca si cum ar fi trebuit sa scrie un cod pentru intel si altul pentru arm (si nici asa nu s-ar justifica lucrurile pentru un content-blocker)

      Iar deadline-ul si-l impun singuri dupa ce e clar ceea ce doresc sa obtina, cum doresc sa obtina acel lucru si cate resurse se pot aloca acelui proiect (nu vorbim aici de Allview sau de o echipa de 3 oameni intr-un apartament)…

      Singurul motiv pentru care au ales sa faca acest lucru e ca asa au avut ei chef… Ca doar e un alt lucru minor ce se adauga listei cand te gandesti daca trebuie sa-ti cumperi un model mai nou de telefon

      00
  9. Iegzista o explicate (de fapt doua):
    1. Tehnica: un browser plus content blocker se misca cam ca porcu’ pe 32 de biti, mai ales pe sisteme mai vechi. Altfel ai scrie articol despre cat de ca porcu’ e cu device-urile de mai sus si content blocker.
    2. Sales: Motiv bun pt. ca sa isi ia unii device nou

    00
  10. “E absolut stupid și fără logică. Dar așa e Apple.” Dar ai 3 ipad-uri și minim un iPhone în casa. :D

    00
  11. si pe mine m-au enervat ca au restrictionat optiunea de split screen la ipad air 2.

    00
  12. Acelasi lucru se intampla si in tabara android. Sunt aplicatii care nu se pot instala pe telefoane care ruleaza o versiune mai veche a sistemului de operare, lucru care ne determina sa-l schimbam cu unul mai nou. Si nu cred ca nu ar fi putut face o optimizare pentru diferite sisteme de operare. La Apple ar fi chiar si mai usor ei avand doar cateva modele cu un hardware aproape similar, cu ca la andorid unde sunt mii de configuratii hardware.

    00
    • Asta e un lucru complet diferit… Practic nu ar putea implementa o functie noua pe o versiune veche fara actualizarea fizica pe telefon a vechiului sistem de operare..
      In plus, in cazul acela dezvoltatorul aplicatiei decide ce functii foloseste si, implicit, care e versiunea minima a sistemului de operare folosibil de catre aplicatia lui…

      Apple au tratat content blocker-ul ca pe un fel de joc nou nout ce ar necesita solutii hardware superioare si nu poate fi implementat pe dispozitive vechi (chiar daca au sistemul de operare actualizat)

      00
  13. nu te-ai lamurit inca ca Apple face numai si numai ce vrea el, nu ce vrei tu?
    ca sa citez din articolul din Catavencu enumerat pe aici:
    “Dacă l-ai făcut pe unul să cumpere un APPLE convingându-l că e UN DEVICE BUN, atunci ăluia poți să-i vinzi absolut orice!”.

    00
  14. I said Green Apple, not Apple, dammit!

    00
  15. Cum se misca 3-ul cu ios 9 pe el?

    00
  16. dar de treaba asta: https://i.pinimg.com/236x/28/06/e6/2806e6b81b3df8b06b5df99eb4ffe581.jpg de care se stie de pe vremea dacilor si care se reproduce la toate cablurile lor – ca e transfer date, ca e incarcator si refuza sa o rezolve ce zici?

    00
  17. poate ca s-au uitat la statistici si au vazut ca doar cei cu x64 platesc mai mult … ;-)

    00
  18. Logica este, pentru ei. Incet, incet te forteaza sa faci upgrade la altele mai noi. Planed obsolescence. :D

    00
    • Ratonbox, ai descoperit apa calda ?
      Apple e printre singurele companii care isi canibalizeaza produsele dar ai suport software, pana la adânci batrâneți (stiu, un pic straniu).

      Deci, da e normal sa se întâmple asta… Cand ai cumpărat un terminal ai avut acces la toate opțiunile din respectivul SO cu care a fost lansat.
      Apoi usor usor ce vin generații de terminale noi din spate e clar ca nu o sa ai acelasi suport software ca cel ce isi ia un terminal nou, desi partea hardware il tine in spate fara probleme :)

      00
  19. Ca sa parafrazez contul Twitter de parodie al lui Jony Ive “it’s not wrong, it’s a magical incentive to upgrade”.

    00
  20. Observaţie: la nivelul acesta, toţi sunt mizerabili.

    00

Adaugă un comentariu

Câmpurile marcate cu * sunt obligatorii! Adresa de email nu va fi publicată.

1. Linkurile utile în context sunt binevenite.
2. Comentariile asumate fac bine la blăniță.
3. Șterg comentariile care îmi strică buna dispoziție.

Susținere

Susține acest blog cumpărând de pe eMAG prin acest link sau de la PCGarage prin acest link.